media-sound/xmms2-9999.ebuild: allow 'epatch_user' in 'src_prepare()'
[slyfox-gentoo.git] / dev-ruby / dbi / dbi-0.4.5-r1.ebuild
Commit [+]AuthorDateLineData
ef232590
ST
Sergei Trofimovich2012-10-15 15:02:42 +03001# Copyright 1999-2012 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/dev-ruby/dbi/dbi-0.4.5.ebuild,v 1.1 2012/09/02 13:28:06 flameeyes Exp $
4
5EAPI=4
6USE_RUBY="ruby18 ruby19"
7
8RUBY_FAKEGEM_RECIPE_TEST="none"
9RUBY_FAKEGEM_RECIPE_DOC="rdoc"
10
11RUBY_FAKEGEM_BINWRAP=""
12
13RUBY_FAKEGEM_EXTRADOC="README ChangeLog"
14
15inherit ruby-fakegem
16
17DESCRIPTION="Database independent interface for accessing databases"
18HOMEPAGE="http://ruby-dbi.rubyforge.org/"
19
20LICENSE="BSD"
21SLOT="0"
22KEYWORDS="~amd64 ~ppc ~x86"
23IUSE="odbc postgres mysql sqlite sqlite3 test"
24
25ruby_add_bdepend "test? ( >=dev-ruby/test-unit-2.5.1-r1 )"
26ruby_add_rdepend "dev-ruby/deprecated:2"
27
28PDEPEND="
29 mysql? ( dev-ruby/dbd-mysql )
30 postgres? ( dev-ruby/dbd-pg )
31 odbc? ( dev-ruby/dbd-odbc )
32 sqlite? ( dev-ruby/dbd-sqlite )
33 sqlite3? ( dev-ruby/dbd-sqlite3 )"
34
35RUBY_PATCHES=( ${P}-gentoo.patch )
36
37each_ruby_test() {
38 ruby-ng_testrb-2 -Ilib test/ts_dbi.rb
39}
40
41pkg_postinst() {
42 if ! (use mysql || use postgres || use odbc || use sqlite || use sqlite3)
43 then
44 elog "${P} now comes with external database drivers."
45 elog "Be sure to set the right USE flags for ${PN} or emerge the drivers manually:"
46 elog "They are called dev-ruby/dbd-{mysql,odbc,pg,sqlite,sqlite3}"
47 fi
48}